Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FormatPostingsFieldsWriter Class Reference

`#include <FormatPostingsFieldsWriter.h>`

Inheritance diagram for Lucene::FormatPostingsFieldsWriter:

## Public Member Functions

| FormatPostingsFieldsWriter (SegmentWriteStatePtr state, FieldInfosPtr fieldInfos)
virtual | ~FormatPostingsFieldsWriter ()
virtual String | getClassName ()
boost::shared_ptr < FormatPostingsFieldsWriter > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual FormatPostingsTermsConsumerPtr | addField (FieldInfoPtr field)
| Add a new field. More...
virtual void | finish ()
| Called when we are done adding everything. More...
Public Member Functions inherited from Lucene::FormatPostingsFieldsConsumer
virtual | ~FormatPostingsFieldsConsumer ()
boost::shared_ptr < FormatPostingsFieldsConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FormatPostingsFieldsConsumer
static String | _getClassName ()

## Data Fields

DirectoryPtr | dir
String | segment
TermInfosWriterPtr | termsOut
SegmentWriteStatePtr | state
FieldInfosPtr | fieldInfos
FormatPostingsTermsWriterPtr | termsWriter
DefaultSkipListWriterPtr | skipListWriter
int32_t | totalNumDocs

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::FormatPostingsFieldsWriter::FormatPostingsFieldsWriter | ( | SegmentWriteStatePtr | state,
|  | FieldInfosPtr | fieldInfos
| ) |  |

virtual Lucene::FormatPostingsFieldsWriter::~FormatPostingsFieldsWriter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FormatPostingsFieldsWriter::_getClassName | ( | ) |  |

inline static

virtual FormatPostingsTermsConsumerPtr Lucene::FormatPostingsFieldsWriter::addField | ( | FieldInfoPtr | field) |  |

virtual

Add a new field.

Implements Lucene::FormatPostingsFieldsConsumer.

virtual void Lucene::FormatPostingsFieldsWriter::finish | ( | ) |  |

virtual

Called when we are done adding everything.

Implements Lucene::FormatPostingsFieldsConsumer.

virtual String Lucene::FormatPostingsFieldsWriter::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::FormatPostingsFieldsConsumer.

virtual void Lucene::FormatPostingsFieldsWriter::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

boost::shared_ptr< FormatPostingsFieldsWriter > Lucene::FormatPostingsFieldsWriter::shared_from_this | ( | ) |  |

inline

## Field Documentation

DirectoryPtr Lucene::FormatPostingsFieldsWriter::dir

FieldInfosPtr Lucene::FormatPostingsFieldsWriter::fieldInfos

String Lucene::FormatPostingsFieldsWriter::segment

DefaultSkipListWriterPtr Lucene::FormatPostingsFieldsWriter::skipListWriter

SegmentWriteStatePtr Lucene::FormatPostingsFieldsWriter::state

TermInfosWriterPtr Lucene::FormatPostingsFieldsWriter::termsOut

FormatPostingsTermsWriterPtr Lucene::FormatPostingsFieldsWriter::termsWriter

int32_t Lucene::FormatPostingsFieldsWriter::totalNumDocs

The documentation for this class was generated from the following file:

- FormatPostingsFieldsWriter.h

clucene.sourceforge.net